Package com.verisign.epp.serverstub

## Class TtlHostHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPHostHandler
  - - com.verisign.epp.serverstub.HostHandler
    - - com.verisign.epp.serverstub.TtlHostHandler

- All Implemented Interfaces:
    `EPPEventHandler`

      public class TtlHostHandler
      extends HostHandler

  The `TtlHostHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPHostHandler` class. It handles accepting commands in a server that supports more than one version of the TTL extension. The version specific `TtlSubHostHandler` is called based on the TTL extension version passed or the set of login services provided by the client.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TtlHostHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EPPEventResponse` | `doHostCreate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Host Create command is received.
    `protected EPPEventResponse` | `doHostInfo​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Host Info command is received.
    `protected EPPEventResponse` | `doHostUpdate​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when a Host Update command is received.

    - ### Methods inherited from class com.verisign.epp.serverstub.HostHandler

      `doHostCheck, doHostDelete, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPHostHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TtlHostHandler

          public TtlHostHandler()

  - ### Method Detail

    - #### doHostInfo

          protected EPPEventResponse doHostInfo​(EPPEvent aEvent,
                                                java.lang.Object aData)

      Invoked when a Host Info command is received.
      Overrides:
        `doHostInfo` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostCreate

          protected EPPEventResponse doHostCreate​(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Create command is received.
      Overrides:
        `doHostCreate` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostUpdate

          protected EPPEventResponse doHostUpdate​(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Update command is received.
      Overrides:
        `doHostUpdate` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.